logo
DATABASE RESOURCES PRICING ABOUT US

Security update for openjpeg2 (important)

Description

This update for openjpeg2 fixes the following issues: * CVE-2016-9572 CVE-2016-9573: Insuficient check in imagetopnm() could lead to heap buffer overflow [bsc#1014543] * CVE-2016-9580, CVE-2016-9581: Possible Heap buffer overflow via integer overflow and infite loop [bsc#1014975] * CVE-2016-7445: Null pointer dereference in convert.c could lead to crash [bsc#999817] * CVE-2016-8332: Malicious file in OpenJPEG JPEG2000 format could lead to code execution [bsc#1002414] * CVE-2016-9112: FPE(Floating Point Exception) in lib/openjp2/pi.c:523 [bsc#1007747] * CVE-2016-9113: NULL point dereference in function imagetobmp of convertbmp.c could lead to crash [bsc#1007739] * CVE-2016-9114: NULL Pointer Access in function imagetopnm of convert.c:1943(jp2) could lead to crash [bsc#1007740] * CVE-2016-9115: Heap Buffer Overflow in function imagetotga of convert.c(jp2) [bsc#1007741] * CVE-2016-9116: NULL Pointer Access in function imagetopnm of convert.c:2226(jp2) [bsc#1007742] * CVE-2016-9117: NULL Pointer Access in function imagetopnm of convert.c(jp2):1289 [bsc#1007743] * CVE-2016-9118: Heap Buffer Overflow in function pnmtoimage of convert.c [bsc#1007744]


Affected Package


OS OS Version Package Name Package Version
openSUSE Leap 42.1 openjpeg2-debuginfo 2.1.0-9.1
openSUSE Leap 42.1 openjpeg2-devel 2.1.0-9.1
openSUSE Leap 42.1 openjpeg2-debugsource 2.1.0-9.1
openSUSE Leap 42.1 openjpeg2 2.1.0-9.1
openSUSE Leap 42.1 openjpeg2-devel 2.1.0-9.1
openSUSE Leap 42.1 libopenjp2-7 2.1.0-9.1
openSUSE Leap 42.1 openjpeg2 2.1.0-9.1
openSUSE Leap 42.1 libopenjp2-7-32bit 2.1.0-9.1
openSUSE Leap 42.1 libopenjp2-7-debuginfo 2.1.0-9.1
openSUSE Leap 42.1 openjpeg2-debugsource 2.1.0-9.1
openSUSE Leap 42.1 libopenjp2-7 2.1.0-9.1
openSUSE Leap 42.1 openjpeg2-debuginfo 2.1.0-9.1
openSUSE Leap 42.1 libopenjp2-7-debuginfo-32bit 2.1.0-9.1
openSUSE Leap 42.1 libopenjp2-7-debuginfo 2.1.0-9.1

Related